%define base_name	icon-theme
%define theme_name	elementary

Name:			%{theme_name}-%{base_name}
Version:		8.1.0
Release:		%mkrel 1
Summary:		Elementary icons for GNOME Desktop
License:		GPLv3+
Group:			Graphical desktop/GNOME
URL:			https://github.com/elementary/icons
Source0:		%{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:		noarch
BuildRequires:		meson
BuildRequires:		icon-naming-utils
BuildRequires:		rsvg-convert
BuildRequires:		xcursorgen
Requires:		hicolor-icon-theme
Requires:		faenza-icon-theme

%description
elementary icons is an icon theme designed to be smooth,
sexy, clear, and efficient.

%package	gimp-palette
Summary:	Icons from the Elementary Project (GIMP palette)
Requires:	%{name} = %{version}-%{release}
Requires:	gimp

%description	gimp-palette
This is an icon theme designed to be smooth, sexy, clear, and efficient.

This package contains a palette file for the GIMP.


%package	inkscape-palette
Summary:	Icons from the Elementary Project (inkscape palette)
Requires:	%{name} = %{version}-%{release}
Requires:	inkscape

%description	inkscape-palette
This is an icon theme designed to be smooth, sexy, clear, and efficient.

This package contains a palette file for inkscape.<Paste>

%prep
%autosetup -n icons-%{version}

# Clean up executable permissions
for i in $(find -type f -executable); do
    chmod a-x $i;
done

%build
%meson -Dvolume_icons=false
%meson_build

%install
%meson_install -C build

# Create icon cache file
touch %{buildroot}%{_datadir}/icons/elementary/icon-theme.cache

%transfiletriggerin -- %{_datadir}/icons/elementary
gtk-update-icon-cache --force %{_datadir}/icons/elementary &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/elementary
gtk-update-icon-cache --force %{_datadir}/icons/elementary &>/dev/null || :

%files
%doc CONTRIBUTING.md README.md
%license COPYING
%{_iconsdir}/%{theme_name}/
%{_metainfodir}/io.elementary.icons.metainfo.xml

%files gimp-palette
%{_datadir}/gimp/2.0/palettes/elementary.gpl

%files inkscape-palette
%{_datadir}/inkscape/palettes/elementary.gpl


%changelog
* Wed Nov 27 2024 daviddavid <daviddavid> 8.1.0-1.mga10
+ Revision: 2119543
- new version: 8.1.0

* Fri Jun 07 2024 daviddavid <daviddavid> 8.0.0-1.mga10
+ Revision: 2070400
- new version: 8.0.0

* Wed Nov 01 2023 daviddavid <daviddavid> 7.3.1-1.mga10
+ Revision: 2003328
- new version: 7.3.1

* Sun Feb 12 2023 mrambo3501 <mrambo3501> 7.2.0-1.mga9
+ Revision: 1940989
- version 7.2.0

* Thu Mar 24 2022 umeabot <umeabot> 6.1.0-2.mga9
+ Revision: 1824604
- Mageia 9 Mass Rebuild

* Mon Jan 17 2022 mrambo3501 <mrambo3501> 6.1.0-1.mga9
+ Revision: 1768840
- version 6.1.0

* Sun Dec 20 2020 wally <wally> 5.3.1-1.mga8
+ Revision: 1661867
- new version 5.3.1

* Sat Feb 15 2020 umeabot <umeabot> 5.0.4-2.mga8
+ Revision: 1527660
- Mageia 8 Mass Rebuild

* Sat Jul 20 2019 daviddavid <daviddavid> 5.0.4-1.mga8
+ Revision: 1423124
- new version: 5.0.4

* Wed Apr 17 2019 umeabot <umeabot> 5.0.3-2.mga7
+ Revision: 1392147
- Rebuild with meson 0.50.1

* Sat Mar 16 2019 daviddavid <daviddavid> 5.0.3-1.mga7
+ Revision: 1378018
- new version: 5.0.3

* Sun Jan 13 2019 kekepower <kekepower> 5.0.2-1.mga7
+ Revision: 1356060
- Update to version 5.0.2
- Switch to using meson
- Sync with Fedora

* Thu Sep 20 2018 umeabot <umeabot> 4.3.1-2.mga7
+ Revision: 1278064
- Mageia 7 Mass Rebuild

* Sun Jan 07 2018 daviddavid <daviddavid> 4.3.1-1.mga7
+ Revision: 1191124
- new version: 4.3.1
- license is GPLv3+
- compile now with cmake

* Sat Feb 06 2016 umeabot <umeabot> 3.1-5.mga6
+ Revision: 940195
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1-4.mga5
+ Revision: 742037
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-3.mga5
+ Revision: 678986
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.1-2.mga4
+ Revision: 533672
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 dams <dams> 3.1-1.mga4
+ Revision: 474734
- new version 3.1

* Thu Jul 18 2013 dams <dams> 3.0-1.mga4
+ Revision: 455411
- new version 3.0

* Fri Jan 11 2013 umeabot <umeabot> 2.7.1-2.mga3
+ Revision: 349591
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dams <dams>
- clean specfile

* Fri Jul 08 2011 dams <dams> 2.7.1-1.mga2
+ Revision: 120669
- Update to 2.7.1

* Tue Apr 19 2011 ennael <ennael> 2.4-1.mga1
+ Revision: 88164
- imported package elementary-icon-theme


* Sat Jan 22 2011 Александр Казанцев <kazancas@mandriva.org> 2.4-1mdv2011.0
+ Revision: 632360
- initial release for Mandriva
- import elementary-icon-theme


* Sat Jan 22 2010 Alexander Kazancev <kazancas@mandriva.org>
- initial release for Mandriva